// Datei: mondlandschaft.inc
// Autor: Hauke Morisse
// Version: 10.11.2010

# include "colors.inc"
# include "textures.inc"

//Variable "Planetchen"
#declare Planetchen = difference{ 
	sphere { 
	<0, 0.2, 0>, 0.4 
	texture {Gold_Metal} 
	} 
	sphere { 
	<0, 0, -0.5>, 0.4 
	texture {Gold_Metal} 
	} 
                     };

//Kamera
camera {
  location <0,3,-10>
  look_at <0,0,0>
}

//Lichtquelle
light_source {
  <10,20,-15>
  color White
}

//Boden
sphere { <0,-101,0>, 100
  texture {Gold_Metal}
  normal { bumps 1 scale 0.3 } 
}

//15 Planetchen ueber while-Schleife darstellen
#declare Zaehler = 0;

#while (Zaehler <= 15)

  object { Planetchen
     translate <Zaehler+2,0,0>
     rotate < 0,Zaehler*45,0 >
  }

  object { Planetchen
     translate <-2*Zaehler,Zaehler,0>
     rotate < 0,Zaehler*30,Zaehler*10 >
  }

  #declare Zaehler = Zaehler + 1;

#end
