// Datei: wald.inc
// Autor: Hauke Morisse
// Version: 10.11.2010

# include "colors.inc"
# include "textures.inc"

//Variable "Baum"
#declare Baum = merge{ 
	cone { 
	<0, 2, 0>, 0.4 
	<0, 3, 0>, 0 
	pigment {color Green} 
	} 
	cone { 
	<0, 1.4, 0>, 0.4 
	<0, 2.4, 0>, 0 
	pigment {color Green} 
	} 
	cone { 
	<0, 0.8, 0>, 0.4
	<0, 1.8, 0>, 0 
	pigment {color Green} 
	} 
	cylinder { 
	<0, 1.2, 0> 
	<0, 0,0>, 0.1 
	texture {Cherry_Wood} 
	} 
                     };

//Kamera
camera {
  location <0,0.5,-10>
  look_at <5,0,0>
}

//Lichtquelle
light_source {
  <10,20,-15>
  color White
}

//Boden
plane { <0,-1,0>, 0
  pigment {color Green}
}

//10 Baeume ueber while-Schleife darstellen
#declare Zaehler = 0;

#while (Zaehler <= 10)

  object { Baum
     translate < Zaehler*2,0,0 >
     pigment {color Green}
  }
  #declare Zaehler = Zaehler + 1;

#end
